## maemo-scrobbler 1.0-1

=== debian/changelog ===
maemo-scrobbler (1.0-1) fremantle; urgency=low

  * Initial release

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sun, 30 May 2010 19:11:14 +0300
