## maemo-scrobbler 1.0-2

=== debian/changelog ===
maemo-scrobbler (1.0-2) fremantle; urgency=low

  * Clear metadata appropriately
  * Improve exit path

 -- Felipe Contreras <felipe.contreras@gmail.com>  Mon, 31 May 2010 01:12:33 +0300
