=== debian/changelog ===
maemo-scrobbler (1.0-3) fremantle; urgency=low

  * Fix boot

 -- Felipe Contreras <felipe.contreras@gmail.com>  Mon, 31 May 2010 05:44:33 +0300
