## maemo-scrobbler 1.0-5

=== debian/changelog ===
maemo-scrobbler (1.0-5) fremantle; urgency=low

  * More build improvements

 -- Felipe Contreras <felipe.contreras@gmail.com>  Mon, 31 May 2010 07:31:00 +0300
