## maemo-scrobbler 1.0-6

=== debian/changelog ===
maemo-scrobbler (1.0-6) fremantle; urgency=low

  * Improve deinstallation

 -- Felipe Contreras <felipe.contreras@gmail.com>  Mon, 31 May 2010 08:14:05 +0300
