## maemo-scrobbler 1.0-7

=== debian/changelog ===
maemo-scrobbler (1.0-7) fremantle; urgency=high

  * Update to use real client id

 -- Felipe Contreras <felipe.contreras@gmail.com>  Thu, 03 Jun 2010 01:56:02 +0300
