=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Felipe Contreras <felipe.contreras@gmail.com>
 Build-Depends: debhelper (>= 5), pkg-config, upstart-dev, libsoup2.4-dev, libglib2.0-dev, libmafw-shared0-dev, libmafw0-dev, hildon-control-panel-dev, libosso-dev, libhildon1-dev, libgtk2.0-dev
 Standards-Version: 3.8.0
+XSBC-Bugtracker: http://github.com/felipec/maemo-scrobbler/issues
 
 Package: maemo-scrobbler
 Architecture: any
