=== debian/changelog ===
maemo-scrobbler (1.1-1) fremantle; urgency=low

  * Add support to detect network connections
  * Add support for Now-Playing
  * Add proxy support

 -- Felipe Contreras <felipe.contreras@gmail.com>  Fri, 04 Jun 2010 05:20:34 +0300
