## maemo-scrobbler 1.1-3

=== debian/changelog ===
maemo-scrobbler (1.1-3) fremantle; urgency=low

  * Fix some potential crashes

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sun, 11 Jul 2010 21:12:58 +0300

maemo-scrobbler (1.1-2) fremantle; urgency=low

  * Add home desktop widget
  * Add support for 'love'

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sat, 26 Jun 2010 15:24:58 +0300
