## maemo-scrobbler 2.0-1

=== debian/changelog ===
maemo-scrobbler (2.0-1) fremantle; urgency=low

  * Fix some potential crashes

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sun, 11 Jul 2010 22:24:52 +0300
