=== debian/control ===
--- 
+++ 
@@ -2,17 +2,16 @@
 Section: user/multimedia
 Priority: optional
 Maintainer: Felipe Contreras <felipe.contreras@gmail.com>
-Build-Depends: debhelper (>= 5), pkg-config, upstart-dev, libsoup2.4-dev, libglib2.0-dev, libmafw-shared0-dev, libmafw0-dev, hildon-control-panel-dev, libosso-dev, libhildon1-dev, libgtk2.0-dev, libconic0-dev
+Build-Depends: debhelper (>= 5), pkg-config, upstart-dev, libsoup2.4-dev, libglib2.0-dev, libmafw-shared0-dev, libmafw0-dev, hildon-control-panel-dev, libosso-dev, libhildon1-dev, libgtk2.0-dev, libconic0-dev, libhildondesktop1-dev
 Standards-Version: 3.8.0
 XSBC-Bugtracker: http://github.com/felipec/maemo-scrobbler/issues
 
 Package: maemo-scrobbler
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}, hildon-libs-l10n-mr | hildon-libs-l10n-mr0
-Description: Maemo scrobbler (last.fm + libre.fm)
- maemo-scrobbler allows to scrobble to multiple services like last.fm and
- libre.fm by listening to MAFW.
-XB-Maemo-Display-Name: Maemo scrobbler
+Description: Scrobbler (last.fm + libre.fm)
+ Allows to scrobble to multiple services like last.fm and libre.fm by listening to MAFW.
+XB-Maemo-Display-Name: Scrobbler
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c6QAAAAZiS0dEAP8A
  /wD/oL2nkwAAAAlwSFlzAAAN1wAADdcBQiibeAAAAAd0SU1FB9oFHgsjBcXBVjoAAAMnSURBVGje
@@ -31,6 +30,7 @@
  BqYhcclFA2/BTBgmJG5zPjBP2XxGFjjjl1UFAPRgfwI94KBrV7Jhz064MmQKXiyHF+X0LXYPZZMC
  6RxfArv/6NuBD9HQ8aV4I0/iLtwPZDvg2xUG2UQQW/KcRCK1SGySYC4mHc7Ed+VIJBKJRCKRSCTy
  d/Ibp2MfJ2dFJIcAAAAASUVORK5CYII=
+XB-Maemo-Upgrade-Description: Add support to "love" tracks.
 
 
 Package: maemo-scrobbler-dbg
