## maemo-scrobbler 2.0-2

=== debian/changelog ===
maemo-scrobbler (2.0-2) fremantle; urgency=low

  * Fix crash when web service auth fails

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sat, 17 Jul 2010 23:51:11 +0300
