## maemo-scrobbler 2.0-3

=== debian/changelog ===
maemo-scrobbler (2.0-3) fremantle; urgency=low

  * Fix to monitor configuration file properly

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sun, 18 Jul 2010 04:23:46 +0300
