## maemo-scrobbler 2.0-4

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 EXTRA_WARNINGS = -Wextra -Wno-unused-parameter
 
 CFLAGS := -ggdb -Wall -std=c99 $(EXTRA_WARNINGS)
+LDFLAGS := -Wl,--no-undefined
 
 override CFLAGS += -D_XOPEN_SOURCE=500
 
@@ -18,11 +19,13 @@
 MAFW_CFLAGS := $(shell pkg-config --cflags mafw-shared mafw)
 MAFW_LIBS := -lmafw-shared -lmafw -lgobject-2.0 -lglib-2.0
 
-HILDON_CFLAGS := $(shell pkg-config --cflags hildon-1 hildon-control-panel libosso)
+HILDON_CFLAGS := $(shell pkg-config --cflags hildon-1 libhildondesktop-1 hildon-control-panel libosso)
 HILDON_LIBS := -lhildon-1 -lgtk-x11-2.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0
 
 CONIC_CFLAGS := $(shell pkg-config --cflags conic)
 CONIC_LIBS := -lconic
+
+DBUS_LIBS := -ldbus-glib-1
 
 SCROBBLE_LIBS := $(SOUP_LIBS)
 
@@ -31,15 +34,20 @@
 libscrobble.a: scrobble.o
 libscrobble.a: override CFLAGS += $(GLIB_CFLAGS) $(SOUP_CFLAGS)
 
-maemo-scrobbler: main.o libscrobble.a
-maemo-scrobbler: override CFLAGS += $(GLIB_CFLAGS) $(GTHREAD_CFLAGS) $(MAFW_CFLAGS) $(CONIC_CFLAGS)
-maemo-scrobbler: override LIBS += $(GLIB_LIBS) $(GTHREAD_LIBS) $(MAFW_LIBS) $(CONIC_LIBS) $(SCROBBLE_LIBS)
-bins += maemo-scrobbler
+scrobbler: main.o libscrobble.a service.o
+scrobbler: override CFLAGS += $(GLIB_CFLAGS) $(GTHREAD_CFLAGS) $(MAFW_CFLAGS) $(CONIC_CFLAGS)
+scrobbler: override LIBS += $(GLIB_LIBS) $(GTHREAD_LIBS) $(MAFW_LIBS) $(CONIC_LIBS) $(SCROBBLE_LIBS) $(DBUS_LIBS)
+bins += scrobbler
 
 libcp-scrobbler.so: control_panel.o
 libcp-scrobbler.so: override CFLAGS += $(HILDON_CFLAGS)
 libcp-scrobbler.so: override LIBS += $(HILDON_LIBS)
 libs += libcp-scrobbler.so
+
+libhome-scrobbler.so: widget.o
+libhome-scrobbler.so: override CFLAGS += $(HILDON_CFLAGS)
+libhome-scrobbler.so: override LIBS += $(HILDON_LIBS) $(DBUS_LIBS) -lhildondesktop-1 -lcairo -lgdk-x11-2.0
+libs += libhome-scrobbler.so
 
 all: libscrobble.a $(bins) $(libs)
 
@@ -52,13 +60,23 @@
 QUIET_CLEAN = @echo '   CLEAN      '$@;
 endif
 
+service_glue.h: service.xml
+	dbus-binding-tool --prefix=sr_service --mode=glib-server $< > $@
+
+service.o: | service_glue.h
+
 install: $(bins) $(libs)
-	install -m 755 maemo-scrobbler -D $(D)/usr/bin/maemo-scrobbler
+	install -m 755 scrobbler -D $(D)/usr/bin/scrobbler
 	install -m 644 libcp-scrobbler.so -D \
 		$(D)/usr/lib/hildon-control-panel/libcp-scrobbler.so
-	install -m 644 maemo-scrobbler.desktop -D \
-		$(D)/usr/share/applications/hildon-control-panel/maemo-scrobbler.desktop
+	install -m 644 cp.desktop -D \
+		$(D)/usr/share/applications/hildon-control-panel/scrobbler.desktop
 	install -m 644 fm.png -D $(D)/usr/share/icons/hicolor/48x48/apps/fm.png
+	install -m 644 libhome-scrobbler.so -D \
+		$(D)/usr/lib/hildon-desktop/libhome-scrobbler.so
+	install -m 644 home.desktop -D \
+		$(D)/usr/share/applications/hildon-home/scrobbler.desktop
+	install -m 644 love.png -D $(D)/usr/share/scrobbler/love.png
 
 %.a::
 	$(QUIET_LINK)$(AR) rcs $@ $^
