=== debian/changelog ===
maemo-scrobbler (2.0-4) fremantle; urgency=low

  * Don't save scrobbles of disabled accounts
  * Fix important crash on cache loading

 -- Felipe Contreras <felipe.contreras@gmail.com>  Sat, 16 Oct 2010 23:14:20 +0300
