=== debian/control ===
--- 
+++ 
@@ -30,7 +30,10 @@
  BqYhcclFA2/BTBgmJG5zPjBP2XxGFjjjl1UFAPRgfwI94KBrV7Jhz064MmQKXiyHF+X0LXYPZZMC
  6RxfArv/6NuBD9HQ8aV4I0/iLtwPZDvg2xUG2UQQW/KcRCK1SGySYC4mHc7Ed+VIJBKJRCKRSCTy
  d/Ibp2MfJ2dFJIcAAAAASUVORK5CYII=
-XB-Maemo-Upgrade-Description: Add support to "love" tracks.
+XB-Maemo-Upgrade-Description: Support to "love" tracks.
+ Support for Now-Playing.
+ Support for proxy.
+ Network connectivity detection.
 
 
 Package: maemo-scrobbler-dbg
